## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCTableLoader.ViewFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.ViewFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Enclosing class:
  JDBCTableLoader

    public static class JDBCTableLoader.ViewFactory

extends JDBCTableLoader.TableFactory

Base factory implementation for VIEW type tables.

Constructor Summary
`JDBCTableLoader.ViewFactory()`

Method Summary
`EClass` `getTableEClass()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
`createTable, initialize, setSupportedColumns`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCTableLoader.ViewFactory

    public JDBCTableLoader.ViewFactory()

Method Detail

### getTableEClass

    public EClass getTableEClass()

  Specified by:
    `getTableEClass` in interface `JDBCTableLoader.ITableFactory`
  Overrides:
    `getTableEClass` in class `JDBCTableLoader.TableFactory`
  Returns:
    SQLTablesPackage.eINSTANCE.getViewTable()
  See Also:
    `JDBCTableLoader.ITableFactory.getTableEClass()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.